Bug 1218758 - Review Request: flmsg - Fast Light Message Amateur Radio Forms Manager
Summary: Review Request: flmsg - Fast Light Message Amateur Radio Forms Manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Christensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-05 19:11 UTC by Richard Shaw
Modified: 2016-06-30 21:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-30 19:53:11 UTC
sparks: fedora-review+


Attachments (Terms of Use)

Description Richard Shaw 2015-05-05 19:11:59 UTC
Spec URL: http://hobbes1069.fedorapeople.org//flmsg.spec
SRPM URL: http://hobbes1069.fedorapeople.org//flmsg-2.0.10-1.fc21.src.rpm

Description:
flmsg is a editor / file management tool for ics213 forms which form the
basis for emergency communications data transfers.

Comment 1 Richard Shaw 2015-05-05 19:12:31 UTC
Scratch build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=9660851

Comment 3 Christopher Meng 2015-07-26 13:22:01 UTC
Review swap in the future ;)

Comment 4 Richard Shaw 2015-07-26 13:31:19 UTC
Sure, just let me know when.

Comment 5 Richard Shaw 2015-09-28 20:22:31 UTC
Just checking to see if you still have time to do the review.

Comment 6 Christopher Meng 2015-09-30 06:30:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2)", "GPL (v3 or later)", "Unknown or generated". 6
     files have unknown license. Detailed output of licensecheck:

GPL (v2)
--------
flmsg-2.0.12/src/include/mongoose.h
flmsg-2.0.12/src/utils/mongoose.c

GPL (v3 or later)
-----------------
flmsg-2.0.12/src/blank-dnd/baddata_templates.cxx
flmsg-2.0.12/src/blank-dnd/blank.cxx
flmsg-2.0.12/src/blank-dnd/blank_tab.cxx
flmsg-2.0.12/src/blank-dnd/blank_templates.cxx
flmsg-2.0.12/src/blank-dnd/dnd_tab.cxx
flmsg-2.0.12/src/cap/cap105.cxx
flmsg-2.0.12/src/cap/cap105_tab.cxx
flmsg-2.0.12/src/cap/cap110.cxx
flmsg-2.0.12/src/cap/cap110_tab.cxx
flmsg-2.0.12/src/cap/cap_templates.cxx
flmsg-2.0.12/src/csv/csv.cxx
flmsg-2.0.12/src/csv/csv_tab.cxx
flmsg-2.0.12/src/csv/csv_table.cxx
flmsg-2.0.12/src/csv/csv_templates.cxx
flmsg-2.0.12/src/custom/custom.cxx
flmsg-2.0.12/src/custom/custom_tab.cxx
flmsg-2.0.12/src/custom/custom_templates.cxx
flmsg-2.0.12/src/custom/custom_transfer_tab.cxx
flmsg-2.0.12/src/flmsg.cxx
flmsg-2.0.12/src/flmsg_dialog.cxx
flmsg-2.0.12/src/hics/hics203.cxx
flmsg-2.0.12/src/hics/hics203_tab.cxx
flmsg-2.0.12/src/hics/hics203_templates.cxx
flmsg-2.0.12/src/hics/hics206.cxx
flmsg-2.0.12/src/hics/hics206_tab.cxx
flmsg-2.0.12/src/hics/hics206_templates.cxx
flmsg-2.0.12/src/hics/hics213.cxx
flmsg-2.0.12/src/hics/hics213_tab.cxx
flmsg-2.0.12/src/hics/hics213_templates.cxx
flmsg-2.0.12/src/hics/hics214.cxx
flmsg-2.0.12/src/hics/hics214_tab.cxx
flmsg-2.0.12/src/hics/hics214_templates.cxx
flmsg-2.0.12/src/hics/hics_tab.cxx
flmsg-2.0.12/src/iaru/iaru.cxx
flmsg-2.0.12/src/iaru/iaru_tab.cxx
flmsg-2.0.12/src/iaru/iaru_templates.cxx
flmsg-2.0.12/src/ics/ics203.cxx
flmsg-2.0.12/src/ics/ics203_tab.cxx
flmsg-2.0.12/src/ics/ics203_templates.cxx
flmsg-2.0.12/src/ics/ics205.cxx
flmsg-2.0.12/src/ics/ics205_tab.cxx
flmsg-2.0.12/src/ics/ics205_templates.cxx
flmsg-2.0.12/src/ics/ics205a.cxx
flmsg-2.0.12/src/ics/ics205a_tab.cxx
flmsg-2.0.12/src/ics/ics205a_templates.cxx
flmsg-2.0.12/src/ics/ics206.cxx
flmsg-2.0.12/src/ics/ics206_tab.cxx
flmsg-2.0.12/src/ics/ics206_templates.cxx
flmsg-2.0.12/src/ics/ics213.cxx
flmsg-2.0.12/src/ics/ics213_tab.cxx
flmsg-2.0.12/src/ics/ics213_templates.cxx
flmsg-2.0.12/src/ics/ics214.cxx
flmsg-2.0.12/src/ics/ics214_tab.cxx
flmsg-2.0.12/src/ics/ics214_templates.cxx
flmsg-2.0.12/src/ics/ics216.cxx
flmsg-2.0.12/src/ics/ics216_tab.cxx
flmsg-2.0.12/src/ics/ics216_templates.cxx
flmsg-2.0.12/src/ics/ics309.cxx
flmsg-2.0.12/src/ics/ics309_tab.cxx
flmsg-2.0.12/src/ics/ics309_templates.cxx
flmsg-2.0.12/src/ics/ics_tab.cxx
flmsg-2.0.12/src/include/FTextView.h
flmsg-2.0.12/src/include/arl_msgs.h
flmsg-2.0.12/src/include/ascii.h
flmsg-2.0.12/src/include/base128.h
flmsg-2.0.12/src/include/base256.h
flmsg-2.0.12/src/include/base64.h
flmsg-2.0.12/src/include/blank.h
flmsg-2.0.12/src/include/calendar.h
flmsg-2.0.12/src/include/cap.h
flmsg-2.0.12/src/include/combo.h
flmsg-2.0.12/src/include/compat-mingw.h
flmsg-2.0.12/src/include/compat.h
flmsg-2.0.12/src/include/crc16.h
flmsg-2.0.12/src/include/csv.h
flmsg-2.0.12/src/include/custom.h
flmsg-2.0.12/src/include/date.h
flmsg-2.0.12/src/include/debug.h
flmsg-2.0.12/src/include/dirent-check.h
flmsg-2.0.12/src/include/ext_string.h
flmsg-2.0.12/src/include/fileselect.h
flmsg-2.0.12/src/include/fl_lock.h
flmsg-2.0.12/src/include/flinput2.h
flmsg-2.0.12/src/include/flmisc.h
flmsg-2.0.12/src/include/flmsg.h
flmsg-2.0.12/src/include/flmsg_config.h
flmsg-2.0.12/src/include/flmsg_dialog.h
flmsg-2.0.12/src/include/flmsgrc.h
flmsg-2.0.12/src/include/flslider2.h
flmsg-2.0.12/src/include/font_browser.h
flmsg-2.0.12/src/include/gettext.h
flmsg-2.0.12/src/include/hx_msgs.h
flmsg-2.0.12/src/include/iaru.h
flmsg-2.0.12/src/include/mingw.h
flmsg-2.0.12/src/include/missing_strings.h
flmsg-2.0.12/src/include/parse_xml.h
flmsg-2.0.12/src/include/pixmaps.h
flmsg-2.0.12/src/include/plaintext.h
flmsg-2.0.12/src/include/radiogram.h
flmsg-2.0.12/src/include/socket.h
flmsg-2.0.12/src/include/status.h
flmsg-2.0.12/src/include/templates.h
flmsg-2.0.12/src/include/threads.h
flmsg-2.0.12/src/include/time_table.h
flmsg-2.0.12/src/include/timeops.h
flmsg-2.0.12/src/include/transfer.h
flmsg-2.0.12/src/include/util.h
flmsg-2.0.12/src/include/wrap.h
flmsg-2.0.12/src/include/wx_strings.h
flmsg-2.0.12/src/include/xml_io.h
flmsg-2.0.12/src/lzma/Alloc.c
flmsg-2.0.12/src/lzma/Alloc.h
flmsg-2.0.12/src/lzma/LzFind.c
flmsg-2.0.12/src/lzma/LzFind.h
flmsg-2.0.12/src/lzma/LzHash.h
flmsg-2.0.12/src/lzma/LzmaDec.c
flmsg-2.0.12/src/lzma/LzmaDec.h
flmsg-2.0.12/src/lzma/LzmaEnc.c
flmsg-2.0.12/src/lzma/LzmaEnc.h
flmsg-2.0.12/src/lzma/LzmaLib.c
flmsg-2.0.12/src/lzma/LzmaLib.h
flmsg-2.0.12/src/lzma/Types.h
flmsg-2.0.12/src/mars/mars_army.cxx
flmsg-2.0.12/src/mars/mars_army_tab.cxx
flmsg-2.0.12/src/mars/mars_daily.cxx
flmsg-2.0.12/src/mars/mars_daily_tab.cxx
flmsg-2.0.12/src/mars/mars_ineei.cxx
flmsg-2.0.12/src/mars/mars_ineei_tab.cxx
flmsg-2.0.12/src/mars/mars_navy.cxx
flmsg-2.0.12/src/mars/mars_net.cxx
flmsg-2.0.12/src/mars/mars_net_tab.cxx
flmsg-2.0.12/src/mars/mars_tab.cxx
flmsg-2.0.12/src/mars/mars_templates.cxx
flmsg-2.0.12/src/mars/navy_mars_tab.cxx
flmsg-2.0.12/src/plaintext/plaintext.cxx
flmsg-2.0.12/src/plaintext/plaintext_tab.cxx
flmsg-2.0.12/src/plaintext/plaintext_templates.cxx
flmsg-2.0.12/src/radiogram/arl_msgs.cxx
flmsg-2.0.12/src/radiogram/hx_msgs.cxx
flmsg-2.0.12/src/radiogram/radiogram.cxx
flmsg-2.0.12/src/radiogram/radiogram_tab.cxx
flmsg-2.0.12/src/radiogram/radiogram_templates.cxx
flmsg-2.0.12/src/redx/redx_5739.cxx
flmsg-2.0.12/src/redx/redx_5739A.cxx
flmsg-2.0.12/src/redx/redx_5739A_tab.cxx
flmsg-2.0.12/src/redx/redx_5739B.cxx
flmsg-2.0.12/src/redx/redx_5739B_tab.cxx
flmsg-2.0.12/src/redx/redx_5739_tab.cxx
flmsg-2.0.12/src/redx/redx_5739_template.cxx
flmsg-2.0.12/src/redx/redx_snw.cxx
flmsg-2.0.12/src/redx/redx_snw_tab.cxx
flmsg-2.0.12/src/redx/redx_snw_template.cxx
flmsg-2.0.12/src/redx/redx_tab.cxx
flmsg-2.0.12/src/transfer/transfer.cxx
flmsg-2.0.12/src/transfer/transfer_tab.cxx
flmsg-2.0.12/src/utils/base128.cxx
flmsg-2.0.12/src/utils/base256.cxx
flmsg-2.0.12/src/utils/base64.cxx
flmsg-2.0.12/src/utils/debug.cxx
flmsg-2.0.12/src/utils/ext_string.cxx
flmsg-2.0.12/src/utils/getsysinfo.c
flmsg-2.0.12/src/utils/mingw.c
flmsg-2.0.12/src/utils/parse_xml.cxx
flmsg-2.0.12/src/utils/socket.cxx
flmsg-2.0.12/src/utils/status.cxx
flmsg-2.0.12/src/utils/threads.cxx
flmsg-2.0.12/src/utils/time_table.cxx
flmsg-2.0.12/src/utils/timeops.cxx
flmsg-2.0.12/src/utils/util.cxx
flmsg-2.0.12/src/utils/wrap.cxx
flmsg-2.0.12/src/utils/xml_io.cxx
flmsg-2.0.12/src/widgets/FTextView.cxx
flmsg-2.0.12/src/widgets/Fl_Native_File_Chooser.cxx
flmsg-2.0.12/src/widgets/Fl_Native_File_Chooser_FLTK.cxx
flmsg-2.0.12/src/widgets/Fl_Native_File_Chooser_MAC.cxx
flmsg-2.0.12/src/widgets/Fl_Native_File_Chooser_WIN32.cxx
flmsg-2.0.12/src/widgets/Fl_Text_Buffer_mod.cxx
flmsg-2.0.12/src/widgets/Fl_Text_Buffer_mod_1_1.cxx
flmsg-2.0.12/src/widgets/Fl_Text_Buffer_mod_1_3.cxx
flmsg-2.0.12/src/widgets/Fl_Text_Display_mod.cxx
flmsg-2.0.12/src/widgets/Fl_Text_Display_mod_1_1.cxx
flmsg-2.0.12/src/widgets/Fl_Text_Display_mod_1_3.cxx
flmsg-2.0.12/src/widgets/Fl_Text_Editor_mod.cxx
flmsg-2.0.12/src/widgets/Fl_Text_Editor_mod_1_1.cxx
flmsg-2.0.12/src/widgets/Fl_Text_Editor_mod_1_3.cxx
flmsg-2.0.12/src/widgets/calendar.cxx
flmsg-2.0.12/src/widgets/combo.cxx
flmsg-2.0.12/src/widgets/date.cxx
flmsg-2.0.12/src/widgets/fileselect.cxx
flmsg-2.0.12/src/widgets/flinput2.cxx
flmsg-2.0.12/src/widgets/flnfc_common.cxx
flmsg-2.0.12/src/widgets/flslider2.cxx
flmsg-2.0.12/src/widgets/font_browser.cxx
flmsg-2.0.12/src/widgets/icons.cxx
flmsg-2.0.12/src/widgets/missing_strings.c
flmsg-2.0.12/src/widgets/pixmaps.cxx
flmsg-2.0.12/src/widgets/pixmaps_tango.cxx
flmsg-2.0.12/src/wx/hurricane.cxx
flmsg-2.0.12/src/wx/hurricane_tab.cxx
flmsg-2.0.12/src/wx/hurricane_template.cxx
flmsg-2.0.12/src/wx/severe_wx.cxx
flmsg-2.0.12/src/wx/severe_wx_tab.cxx
flmsg-2.0.12/src/wx/severe_wx_template.cxx
flmsg-2.0.12/src/wx/storm_report.cxx
flmsg-2.0.12/src/wx/storm_report_tab.cxx
flmsg-2.0.12/src/wx/storm_report_template.cxx
flmsg-2.0.12/src/wx/wx_strings.cxx

Unknown or generated
--------------------
flmsg-2.0.12/scripts/build4mingw.sh
flmsg-2.0.12/scripts/builddist.sh
flmsg-2.0.12/scripts/mkappbundle.sh
flmsg-2.0.12/scripts/mknsisinst.sh
flmsg-2.0.12/src/config.h
flmsg-2.0.12/src/include/icons.h

Plus: src/lzma code are public domain
--------------------
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in flmsg-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.



Rpmlint
-------
Checking: flmsg-2.0.12-1.fc24.i686.rpm
          flmsg-debuginfo-2.0.12-1.fc24.i686.rpm
          flmsg-2.0.12-1.fc24.src.rpm
flmsg.i686: E: missing-call-to-setgroups-before-setuid /usr/bin/flmsg
flmsg.i686: W: no-manual-page-for-binary flmsg
3 packages and 0 specfiles checked; 1 errors, 1 warnings.




Requires
--------
flmsg (rpmlib, GLIBC filtered):
    libX11.so.6
    libc.so.6
    libdl.so.2
    libfltk.so.1.3
    libfltk_images.so.1.3
    libflxmlrpc.so.1
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

flmsg-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
flmsg:
    application()
    application(flmsg.desktop)
    flmsg
    flmsg(x86-32)

flmsg-debuginfo:
    flmsg-debuginfo
    flmsg-debuginfo(x86-32)



Source checksums
----------------
http://www.w1hkj.com/downloads/flmsg/flmsg-2.0.12.tar.gz :
  CHECKSUM(SHA256) this package     : 879982945379cc200f18b1b71c03517baaa834ce5b212c575cd1c3e2dd92bce4
  CHECKSUM(SHA256) upstream package : 879982945379cc200f18b1b71c03517baaa834ce5b212c575cd1c3e2dd92bce4


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -rvn flmsg-2.0.12-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

------------------------------------------
It seems the only issue is rpmlint, from the external mongoose source.

Comment 7 Richard Shaw 2015-09-30 13:41:12 UTC
Well I found an answer as to the rpmlint complaint:

https://github.com/cesanta/mongoose/issues/301

But that brings up another issue, bundling. It's designed to be copylib but I'll still have to request an exception. <SIGH>

Comment 8 Christopher Meng 2015-10-05 10:45:09 UTC
I may patch it when I'm back, but don't expect it will be handled soon, I'm still on vacation.

Meanwhile I don't think it's a bundled library, only some code instead.

Comment 9 Richard Shaw 2015-10-09 14:19:51 UTC
I tried building against the system mongoose library but it's been heavily modified. While I have mixed feeling on the recent decision on loosening the restrictions on bundling it should help this case.

Comment 10 Richard Shaw 2015-10-09 14:32:16 UTC
Spec URL: http://hobbes1069.fedorapeople.org//flmsg.spec
SRPM URL: http://hobbes1069.fedorapeople.org//flmsg-2.0.12-2.fc21.src.rpm

* Fri Oct  9 2015 Richard Shaw <hobbes1069@gmail.com> - 2.0.12-2
- Add virtual provides and comments for the bundled mongoose library.

If you re-run fedora-review or rpmlint on the spec file be aware that the homepage is down right now as it was the victim of a DOS attack.

Comment 11 Christopher Meng 2015-10-09 14:35:25 UTC
(In reply to Richard Shaw from comment #9)
> I tried building against the system mongoose library but it's been heavily
> modified. While I have mixed feeling on the recent decision on loosening the
> restrictions on bundling it should help this case.

I haven't read the thread of that change recently in devel, I don't plan to read it because I'm against the relaxed attitude of that policy always. But in this case I don't think unbundling the library is worthwhile.

I'd focus on that security issue reported by rpmlint, honestly, OSX sucks more.

Comment 12 Richard Shaw 2015-10-09 14:55:05 UTC
(In reply to Christopher Meng from comment #11)
> I haven't read the thread of that change recently in devel, I don't plan to
> read it because I'm against the relaxed attitude of that policy always. But
> in this case I don't think unbundling the library is worthwhile.

Both the no bundled libraries and treatment of bundled libraries wiki links are essentially gone so there's no guidance at this point.

Due to the degree of modification I can't attribute the bundled copy of mongoose to a particular version but I did add the virtual provide, so in the rare case that some CVE is issued, I'll follow up with upstream and see if the bundled copy has the same vulnerability. 


> I'd focus on that security issue reported by rpmlint, honestly, OSX sucks
> more.

I'm not enough of a security expert but mongoose issue link above explains their reasoning, so I'm not sure what to do beyond that.

Comment 13 Richard Shaw 2015-10-29 18:20:50 UTC
Chris, do you see the security issue as a blocker? I suppose I could post the question to the devel list and get some feedback.

Comment 14 Richard Shaw 2015-11-16 16:42:05 UTC
(In reply to Christopher Meng from comment #11)
> I'd focus on that security issue reported by rpmlint, honestly, OSX sucks
> more.

I did some research, the setuid() call is only used if the RUN_AS_USER option is set for the mongoose http server which flmsg does not take advantage of. So in this particular instance we can ignore this error.

Comment 15 Richard Shaw 2016-01-04 14:50:13 UTC
SPEC: https://hobbes1069.fedorapeople.org/flmsg.spec
SRPM: https://hobbes1069.fedorapeople.org/flmsg-2.0.14-1.fc22.src.rpm

* Mon Jan  4 2016 Richard Shaw <hobbes1069@gmail.com> - 2.0.14-1
- Update to latest upstream release.

Comment 16 Richard Shaw 2016-02-10 16:13:28 UTC
Review stalled.

Comment 17 Richard Shaw 2016-05-25 20:05:23 UTC
SPEC: https://hobbes1069.fedorapeople.org/flmsg.spec
SRPM: https://hobbes1069.fedorapeople.org/flmsg-2.0.17-1.fc23.src.rpm

* Fri Apr  1 2016 Richard Shaw <hobbes1069@gmail.com> - 2.0.17-1
- Update to latest upstream release.

Comment 18 Eric Christensen 2016-06-05 04:09:14 UTC
It's been a while since I reviewed anything but I'd really like to see this package in the repos.  Let me see what I can do.

Comment 19 Eric Christensen 2016-06-05 04:40:10 UTC
I'm a little concerned about the missing-call-to-setgroups-before-setuid error that rpmlint is giving.  Also, the COPYING is GPLv2 and SPEC says GPLv3.  

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2)", "GPL (v3 or later)", "Unknown
     or generated". 15 files have unknown license. Detailed output of
     licensecheck in /home/echristensen/1218758-flmsg/licensecheck.txt

This is odd.  SPEC says, and many of the files are, GPLv3 but COPYING says GPLv2.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in flmsg-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: flmsg-2.0.17-1.fc23.x86_64.rpm
          flmsg-debuginfo-2.0.17-1.fc23.x86_64.rpm
          flmsg-2.0.17-1.fc23.src.rpm
flmsg.x86_64: E: missing-call-to-setgroups-before-setuid /usr/bin/flmsg
flmsg.x86_64: W: no-manual-page-for-binary flmsg
flmsg.src:21: W: unversioned-explicit-provides bundled(mongoose)
3 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: flmsg-debuginfo-2.0.17-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
flmsg.x86_64: E: missing-call-to-setgroups-before-setuid /usr/bin/flmsg
flmsg.x86_64: W: no-manual-page-for-binary flmsg
2 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
flmsg (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libfltk.so.1.3()(64bit)
    libfltk_images.so.1.3()(64bit)
    libflxmlrpc.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

flmsg-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
flmsg:
    application()
    application(flmsg.desktop)
    bundled(mongoose)
    flmsg
    flmsg(x86-64)

flmsg-debuginfo:
    flmsg-debuginfo
    flmsg-debuginfo(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/fldigi/flmsg-2.0.17.tar.gz :
  CHECKSUM(SHA256) this package     : 4f243666bb053dec9268f3ce9e7bb47eca4f518fac0bd108824ff5839dc4cdef
  CHECKSUM(SHA256) upstream package : 4f243666bb053dec9268f3ce9e7bb47eca4f518fac0bd108824ff5839dc4cdef


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1218758
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 20 Eric Christensen 2016-06-07 22:19:15 UTC
Richard, can you comment on my findings, please?

Comment 21 Richard Shaw 2016-06-08 13:46:27 UTC
Sorry, I just got back from my son's summer camp.

(In reply to Eric Christensen from comment #19)
> I'm a little concerned about the missing-call-to-setgroups-before-setuid
> error that rpmlint is giving.  Also, the COPYING is GPLv2 and SPEC says
> GPLv3.

As noted in comment #14, this is part of the bundled mongoose but flmsg doesn't make use of it so it shouldn't be a problem.

I dug into the license stuff a bit. I'll follow up with the author but yet, the COPYING file should probably be updated to GPLv3+.

The GPLv2 stuff is just the mongoose files, since it's not "+" I can't upgrade them to 3+ so I'll add an appropriate statement to the spec file and license tag. The BSD stuff is part of the build system files so it doesn't apply to the package.

> Issues:
> =======
> - All build dependencies are listed in BuildRequires, except for any that
>   are listed in the exceptions section of Packaging Guidelines.
>   Note: These BR are not needed: gcc-c++
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

There was an update to the packaging guidelines to add this as they are working on lowing the number default packages installed for mock. Granted I saw this on an email update but haven't looked at the guidelines in the wiki lately...

Comment 22 Richard Shaw 2016-06-08 14:46:34 UTC
Ok, already heard back from upstream, he is updating the COPYING file to GPLv3+ and it will be in the next release.

I don't see this as a blocker, do you? The new release should be soon so I was going to wait for it before importing the package.

Comment 23 Richard Shaw 2016-06-08 19:00:41 UTC
SPEC: https://hobbes1069.fedorapeople.org/flmsg.spec
SRPM: https://hobbes1069.fedorapeople.org/flmsg-3.00.00-1.fc23.src.rpm

* Wed Jun  8 2016 Richard Shaw <hobbes1069@gmail.com> - 3.00.00-1
- Update to latest upstream release.
- Update license tag to include GPLv2 (embedded mongoose server).

Comment 24 Eric Christensen 2016-06-15 20:37:52 UTC
Have you tried replacing mongoose with a symlink and see if the program still works as expected?

Comment 25 Richard Shaw 2016-06-15 23:42:11 UTC
Yes, I tried building against system mongoose but it's been too modified to work.

Comment 26 Eric Christensen 2016-06-16 01:03:45 UTC
Okay.  I've had two other package reviewers look at this and they agreed with me that this can go ahead.  Thank you for hanging in there and getting this packaged.  73!

Comment 27 Gwyn Ciesla 2016-06-20 13:50:44 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/flmsg

Comment 28 Fedora Update System 2016-06-21 13:45:40 UTC
flmsg-3.00.00-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d636db0c5

Comment 29 Fedora Update System 2016-06-21 13:45:47 UTC
flmsg-3.00.00-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-25e1a23b79

Comment 30 Fedora Update System 2016-06-22 02:26:11 UTC
flmsg-3.00.00-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-25e1a23b79

Comment 31 Fedora Update System 2016-06-22 02:53:59 UTC
flmsg-3.00.00-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d636db0c5

Comment 32 Fedora Update System 2016-06-30 19:53:08 UTC
flmsg-3.00.00-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2016-06-30 21:28:43 UTC
flmsg-3.00.00-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.